Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor
Interface XmlEditorView

All Superinterfaces:
  PropertyChangeNotifier, XmlLocationListener

All Known Implementing Classes:
  AbstractEditorView, XmlSourceEditorFactory.WsdlMockRequestXmlSourceEditor, XmlSourceEditorFactory.WsdlMockResponseXmlSourceEditor, XmlSourceEditorFactory.WsdlRequestXmlSourceEditor, XmlSourceEditorFactory.WsdlResponseXmlSourceEditor, XmlSourceEditorView

    public interface XmlEditorView

extends PropertyChangeNotifier, XmlLocationListener

Views available for the XmlDocument of a XmlEditor

Author:
  ole.matzura

Field Summary
`static java.lang.String` | `TITLE_PROPERTY`

Method Summary
`boolean` | `activate(XmlLocation location)`
`void` | `addLocationListener(XmlLocationListener listener)`
`boolean` | `deactivate()`
`javax.swing.JComponent` | `getComponent()`
`XmlEditor` | `getEditor()`
`XmlLocation` | `getLocation()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getViewId()`
`XmlDocument` | `getXmlDocument()`
`boolean` | `isInspectable()`
`void` | `release()`
`void` | `removeLocationListener(XmlLocationListener listener)`
`void` | `requestFocus()`
`boolean` | `saveDocument(boolean validate)`
`void` | `setEditable(boolean enabled)`
`void` | `setLocation(XmlLocation location)`
`void` | `setXmlDocument(XmlDocument xmlDocument)`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlLocationListener
`locationChanged`

Field Detail

### TITLE_PROPERTY

    static final java.lang.String TITLE_PROPERTY

Method Detail

### getEditor

    XmlEditor getEditor()

### getTitle

    java.lang.String getTitle()

### getComponent

    javax.swing.JComponent getComponent()

### deactivate

    boolean deactivate()

### activate

    boolean activate(XmlLocation location)

### getLocation

    XmlLocation getLocation()

### setLocation

    void setLocation(XmlLocation location)

### setXmlDocument

    void setXmlDocument(XmlDocument xmlDocument)

### getXmlDocument

    XmlDocument getXmlDocument()

### saveDocument

    boolean saveDocument(boolean validate)

### addLocationListener

    void addLocationListener(XmlLocationListener listener)

### removeLocationListener

    void removeLocationListener(XmlLocationListener listener)

### release

    void release()

### isInspectable

    boolean isInspectable()

### setEditable

    void setEditable(boolean enabled)

### getViewId

    java.lang.String getViewId()

### requestFocus

    void requestFocus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.